goocanvasmm: Goocanvas::LineDash Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions
Goocanvas::LineDash Class Reference

List of all members.

## Public Member Functions
| LineDash ()
| LineDash (GooCanvasLineDash* gobject, bool make_a_copy=true)
| LineDash (const LineDash& other)
LineDash& | operator= (const LineDash& other)
| ~LineDash ()
void | swap (LineDash& other)
GooCanvasLineDash* | gobj ()
| Provides access to the underlying C instance.
const GooCanvasLineDash* | gobj () const
| Provides access to the underlying C instance.
GooCanvasLineDash* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
## Protected Attributes
GooCanvasLineDash* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (LineDash& lhs, LineDash& rhs)
Goocanvas::LineDash | wrap (GooCanvasLineDash* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Goocanvas::LineDash::LineDash | ( |  | ) |

Goocanvas::LineDash::LineDash | ( | GooCanvasLineDash * | gobject,
|  | bool | make_a_copy = `true`
| ) |  | `[explicit]`

Goocanvas::LineDash::LineDash | ( | const LineDash& | other | ) |

Goocanvas::LineDash::~LineDash | ( |  | ) |

## Member Function Documentation

GooCanvasLineDash* Goocanvas::LineDash::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

const GooCanvasLineDash* Goocanvas::LineDash::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

GooCanvasLineDash* Goocanvas::LineDash::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

LineDash& Goocanvas::LineDash::operator= | ( | const LineDash& | other | ) |

void Goocanvas::LineDash::swap | ( | LineDash& | other | ) |

## Friends And Related Function Documentation

void swap | ( | LineDash& | lhs,
|  | LineDash& | rhs
| ) |  | `[related]`

Parameters:

  lhs | The left-hand side
  rhs | The right-hand side

Goocanvas::LineDash wrap | ( | GooCanvasLineDash * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GooCanvasLineDash* Goocanvas::LineDash::gobject_`[protected]`

The documentation for this class was generated from the following file:

- goocanvasmm/linedash.h